Subject: Re: [PATCH 0/4] Attempt to fix regression with AR8035 speed downgrade

From: Russell King - ARM Linux admin <[email-masked]>
Date: Sun, 22 Sep 2019 18:52:46 +0100

On Sun, Sep 22, 2019 at 06:53:35PM +0200, Andrew Lunn wrote:
> On Sun, Sep 22, 2019 at 11:59:32AM +0100, Russell King - ARM Linux admin wrote:
> > Hi,
> > 
> > tinywrkb, please can you test this series to ensure that it fixes
> > your problem - the previous version has turned out to be a non-starter
> > as it introduces more problems, thanks!
> > 
> > The following series attempts to address an issue spotted by tinywrkb
> > with the AR8035 on the Cubox-i2 in a situation where the PHY downgrades
> > the negotiated link.
> 
> Hi Russell
> 
> This all looks sensible.
> 
> One things we need to be careful of, is this is for net and so stable.

Since the regression was introduced in 5.1, it should be backported
to stable trees.

> But only some of the patches have fixes-tags. I don't know if we
> should add fixes tags to all the patches, just to give back porters a
> hint that they are all needed? It won't compile without the patches,
> so at least it fails safe.

I only put Fixes: tags on patches that are actually fixing something.
Quoting submitting-patches.rst:

  A Fixes: tag indicates that the patch fixes an issue in a previous
  commit.

Since the preceding two patches are just preparing for the fix, and
not actually fixing an issue in themselves, it seems wrong to add a
Fixes: tag for them.  However, mentioning it in the commit message
for the patch that does fix the issue is probably worth it.  Thanks.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up